Subject: Re: linux-next: build failure after merge of the pci tree

From: Bjorn Helgaas <[email-masked]>
Date: Tue, 9 Feb 2010 09:27:44 -0700

On Monday 08 February 2010 05:54:27 pm Stephen Rothwell wrote:
> Hi Jesse,
> 
> After merging the pci tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> arch/powerpc/kernel/pci_64.c: In function 'pcibios_unmap_io_space':
> arch/powerpc/kernel/pci_64.c:101: error: 'struct pci_bus' has no member named 'resource'
> arch/powerpc/kernel/pci_64.c: In function 'pcibios_map_io_space':
> arch/powerpc/kernel/pci_64.c:149: error: 'struct pci_bus' has no member named 'resource'
> arch/powerpc/kernel/pci_64.c:149: error: 'struct pci_bus' has no member named 'resource'

Crap, sorry.  Looks like I missed one in mn10300, too (and maybe
more).  Let me know if you see any others; I don't have cross-compile
setups for all arches.  But I'll fix up everything I can find.

Bjorn